changeset 324:ae1346f776c3

hopefully finished....we shall see!
author Jeff Hammel <jhammel@mozilla.com>
date Sat, 08 Jun 2013 08:35:15 -0700
parents b2924a3ae4f3
children bc2d0d504270
files bin/example/self-writing.sh
diffstat 1 files changed, 7 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/bin/example/self-writing.sh	Sat Jun 08 08:30:37 2013 -0700
+++ b/bin/example/self-writing.sh	Sat Jun 08 08:35:15 2013 -0700
@@ -18,9 +18,15 @@
 
 # avoiding -i for safety
 sed 's/\(echo \"'"${nonce}"'\).*\"/\1'"${datestamp}"'\"/' ${path} > ${tmp}
+if [[ ! -e "${tmp}" ]]
+then
+    echo "Temporary file creation not successful"
+    exit 1
+fi
 
 # echo last and current generation times for example
 echo "This script last generated at (None)"
 echo "Now: ${datestamp}"
 
-# move tmpfile -> script location via exec
\ No newline at end of file
+# move tmpfile -> script location via exec
+exec mv ${tmp} ${path}